> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Quote Store Info

GET https://api-b2b.bigcommerce.com/api/v2/rfq/store-info

Retrieves basic information about the store, Company, sales rep, and extra field information. This is used in the storefront to provide basic information on a quote’s detail page, such as the quote logo and Sales Staff user details.

The `companyId` and `salesRepId` parameters must be included in the query in order to return Company and sales rep information respectively. If omitted, the response still contains store and extra field information. 

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/request-for-quote/get-rfq-store-info

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Query parameters

- `storeHash` (string, optional) — The unique alphanumeric store hash for the BigCommerce store.
- `companyId` (string, optional) — The unique identifier for the Company account associated with the quote.
- `salesRepId` (string, optional) — The unique identifier for the Sales Staff user assigned to the quote.

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP Response Code
- `message` (string, optional, default: SUCCESS)
- `data` (RfqStoreInfoGetResponsesContentApplicationJsonSchemaData, optional)

## Types

### RfqStoreInfoGetResponsesContentApplicationJsonSchemaData

- `storeUserInfo` (RfqStoreInfoGetResponsesContentApplicationJsonSchemaDataStoreUserInfo, optional)

### RfqStoreInfoGetResponsesContentApplicationJsonSchemaDataStoreUserInfo

- `storeInfo` (storeInfo, optional)
- `companyInfo` (companyInfo, optional)
- `salesRepInfo` (salesRepInfo, optional)
- `extraFieldsInfo` (list of extraFieldConfig, optional) — The quote extra field configurations for the store.
- `quoteLogo` (string, optional) — The image URL of the store logo added to quote emails and PDFs.

### storeInfo

- `storeName` (string, optional) — The name of the storefront.
- `storeAddress` (string, optional) — The storefront's full origin address. The newline character ` ` is used to separate each line of text.
- `storeCountry` (string, optional) — The full name of the storefront's origin country.
- `storeLogo` (string, optional) — The image URL for the storefront logo.
- `storeUrl` (string, optional) — The storefront's URL.

### companyInfo

- `companyId` (string, optional) — The unique identifier for the Company account.
- `companyName` (string, optional) — The Company account name.
- `companyAddress` (string, optional) — The first line of the primary address for the Company account.
- `copmanyCountry` (string, optional) — The full name of the country on the primary address of the Company account.
- `companyState` (string, optional) — The state of the primary address for the Company account, if applicable.
- `companyCity` (string, optional) — The city of the primary address for the Company account.
- `companyZipCode` (string, optional) — The postal code of the primary address for the Company account.
- `phoneNumber` (string, optional) — The phone number associated with the Company account.
- `companyEmail` (string, optional) — The primary email address of the Company account.
- `bcId` (integer, optional) — The unique identifier for the customer group assigned to the Company account.

### salesRepInfo

- `salesRepName` (string, optional) — The name of the sales rep.
- `salesRepEmail` (string, optional) — The sales rep's email address.
- `salesRepPhoneNumber` (string, optional) — The sales rep's phone number.

### extraFieldConfig

An extra field configuration for quotes.

- `id` (integer, optional) — The unique numeric ID for the extra field.
- `uuid` (string, optional) — UUID of the extra field assigned by B2B Edition.
- `fieldName` (string, optional) — The name of the extra field.
- `labelName` (string, optional) — The label shown for the extra field. Defaults to `fieldName`.
- `fieldType` (enum, optional) — The data type allowed by the extra field. The supported types are text (`0`), multiline text (`1`), number (`2`), and dropdown (`3`).
  - Allowed values: `0`, `1`, `2`, `3`
- `isRequired` (boolean, optional) — Indicates whether the extra field requires a value.
- `isUnique` (boolean, optional) — Indicates whether the extra field's value must be unique when present.
- `visibleToEnduser` (boolean, optional) — Indicates whether the extra field is visible on the storefront.
- `configType` (enum, optional) — Indicates whether the extra field is built in (`1`) or user defined (`2`).
  - Allowed values: `1`, `2`
- `defaultValue` (string, optional) — The default value the extra field takes, if it exists.
- `maximumLength` (string, optional) — The maximum character length for text extra fields. Only present when `fieldType` is `0`.
- `numberOfRows` (string, optional) — The maximum number of rows for multiline text extra fields. Only present when `fieldType` is `1`.
- `maximumValue` (string, optional) — The maximum value of number extra fields. Only present when `fieldType` is `2`.
- `listOfValue` (list of string, optional) — The list of values for dropdown extra fields. Only present when `fieldType` is `3`.
- `valueConfigs` (ExtraFieldConfigValueConfigs, optional) — The raw value configuration stored for the extra field.

### ExtraFieldConfigValueConfigs

The raw value configuration stored for the extra field.

- `defaultValue` (string, optional) — The stored default value.
- `maximumLimit` (string, optional) — The stored limit. Holds the value of `maximumLength`, `numberOfRows`, or `maximumValue`, depending on `fieldType`.
- `listOfValue` (list of string, optional) — The stored dropdown values.
- `labelName` (string, optional) — The stored label, if one was set.

## Examples

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {
    "storeUserInfo": {
      "storeInfo": {
        "storeName": "B2B Store",
        "storeAddress": "123 Main Street Austin, TX 78704 United States of America",
        "storeCountry": "United States",
        "storeLogo": "https://cdn11.bigcommerce.com/s-abcd1234/product_images/logo.png",
        "storeUrl": "https://mybcstore.com"
      },
      "companyInfo": {
        "companyId": "123456",
        "companyName": "Great Buys Incorporated",
        "companyAddress": "512 Bluebonnet Lane",
        "copmanyCountry": "United States",
        "companyState": "Texas",
        "companyCity": "Austin",
        "companyZipCode": "78704",
        "phoneNumber": "512-200-1234",
        "companyEmail": "admin@greatbuysinc.com",
        "bcId": 14
      },
      "salesRepInfo": {
        "salesRepName": "Aristotle",
        "salesRepEmail": "aristotle@mybcstore.com",
        "salesRepPhoneNumber": "512-111-4444"
      },
      "extraFieldsInfo": [
        {
          "id": 1,
          "uuid": "string",
          "fieldName": "string",
          "labelName": "string",
          "fieldType": 0,
          "isRequired": true,
          "isUnique": true,
          "visibleToEnduser": true,
          "configType": 1,
          "defaultValue": "string",
          "maximumLength": "string",
          "numberOfRows": "string",
          "maximumValue": "string",
          "listOfValue": [
            "string"
          ],
          "valueConfigs": {
            "defaultValue": "string",
            "maximumLimit": "string",
            "listOfValue": [
              "string"
            ],
            "labelName": "string"
          }
        }
      ],
      "quoteLogo": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quote-logo.png"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/rfq/store-info"

querystring = {"companyId":"123456","salesRepId":"123","storeHash":"abcd1234"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v2/rfq/store-info?companyId=123456&salesRepId=123&storeHash=abcd1234';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/rfq/store-info?companyId=123456&salesRepId=123&storeHash=abcd1234"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/rfq/store-info?companyId=123456&salesRepId=123&storeHash=abcd1234")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/rfq/store-info?companyId=123456&salesRepId=123&storeHash=abcd1234")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/rfq/store-info?companyId=123456&salesRepId=123&storeHash=abcd1234', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/rfq/store-info?companyId=123456&salesRepId=123&storeHash=abcd1234");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/rfq/store-info?companyId=123456&salesRepId=123&storeHash=abcd1234")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```